@use "sass:map";

@import '../../styles/variables';
@import '../../styles/mixins';

.cui-dialog-title {
  display: flex;
  flex-direction: column;
  padding: 1.25rem map.get($cui-card-padding, l);
  @include cui-break-word();

  h3 {
    margin: 0;
    align-self: center;
    width: 100%;
  }

  .title-row {
    display: flex;
    align-items: flex-start;
    justify-content: flex-end;
  }

  > * {
    flex: 1 1 auto;
  }
}
